RelativeUrlResolver
Date: 2014-12-13

org.apache.ivy.core

## Class RelativeUrlResolver

- java.lang.Object
- - org.apache.ivy.core.RelativeUrlResolver

- Direct Known Subclasses:
    ExecutionRelativeUrlResolver, NormalRelativeUrlResolver

      public abstract class RelativeUrlResolver
      extends java.lang.Object

  Resolve an file or url relatively to its context.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RelativeUrlResolver()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.net.URL` | `getURL(java.net.URL context, java.lang.String url)` Resolve the url in the context of context.
    `java.net.URL` | `getURL(java.net.URL context, java.lang.String file, java.lang.String url)` Relsovle file or url path relatively to a context. file is considered first.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RelativeUrlResolver

          public RelativeUrlResolver()

  - ### Method Detail

    - #### getURL

          public abstract java.net.URL getURL(java.net.URL context,
                            java.lang.String url)
                                       throws java.net.MalformedURLException

      Resolve the url in the context of context.
      Parameters:
        `context` - The URL of the ressource containing the reference url
        `url` - a relative or absolution url string
      Throws:
        `java.net.MalformedURLException`

    - #### getURL

          public java.net.URL getURL(java.net.URL context,
                            java.lang.String file,
                            java.lang.String url)
                              throws java.net.MalformedURLException

      Relsovle file or url path relatively to a context. file is considered first. If file is not defined, url will be considered.
      Parameters:
        `context` - The URL of the ressource containing the reference file or url
        `file` - a relative or absolute path
        `url` - a relative or absolution url string
      Returns:
        the resulting url or null if faile and url are null.
      Throws:
        `java.net.MalformedURLException`